Subject: [Lsr] Early Allocations request for "Area Proxy for IS-IS" - draft-li-lsr-isis-area-proxy-04

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 1 Jun 2020 19:46:11 +0000

Hi IANA, Martin,

We’ve discussed this draft and are going forward with the early allocation request. While there is some overlap with other LSR WG proposals, there is no reason to block all the drafts given that it very unlikely that we will have a combined draft any time soon.

Thanks,
Acee and Chris

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 02 Jun 2020 01:13:03 +0000

Hi Acee, Martin,

We've sent this request to the IS-IS experts for review in accordance with the RFC 7370 early allocation procedure for IS-IS Expert Review registries.

We understand that if the experts approve, we would make three early/temporary registrations in the TLV Codepoints registry and add one entry to the Sub-TLVs for TLV 242 (IS-IS Router CAPABILITY TLV) registry. The creation of the sub-registry will have to wait for the document to be approved for publication.

However, the IANA Considerations section is missing some information. How would we fill in the IIH, LSP, SNP, and Purge fields for the TLV Codepoint registrations?

Best regards,

Amanda Baber
Lead IANA Services Specialist	

On Mon Jun 01 19:46:54 2020, [email-masked] wrote:
> Hi IANA, Martin,
> 
> We’ve discussed this draft and are going forward with the early
> allocation request. While there is some overlap with other LSR WG
> proposals, there is no reason to block all the drafts given that it
> very unlikely that we will have a combined draft any time soon.
> 
> Thanks,
> Acee and Chris

---

From: Tony Li <[email-masked]>
Date: Mon, 1 Jun 2020 21:52:46 -0700

Hi Amanda,

> However, the IANA Considerations section is missing some information. How would we fill in the IIH, LSP, SNP, and Purge fields for the TLV Codepoint registrations?

We’ve addressed this in https://tools.ietf.org/html/draft-li-lsr-isis-area-proxy-06 <https://tools.ietf.org/html/draft-li-lsr-isis-area-proxy-06>.

Thanks,
Sarah & Tony

---

From: Loa Andersson <[email-masked]>
Date: Tue, 2 Jun 2020 15:59:56 +0800

Folks,

I have two questions on the early allocation.

RFC 7120 allows early allocation for two types of

    The processes described below assume that the document in question is
    the product of an IETF Working Group (WG).  If this is not the case,
    replace "WG chairs" below with "Shepherding Area Director".

draft-li-lsr-isis-area-proxy is an individual document, i.e. not a
product of a working group nor shepherded by an AD, and does not seem to
meet the criteria for early allocation.

Also. draft-li-lsr-isis-area-proxy request that IANA create a new
registry, as far as I understand new registries can't be created through
early allocation. It is hardly necessary.

The code points are requested from "the IS-IS TLV Codepoints registry",
howver the "IS-IS TLV Codepoints" is a name space with 14 different
registries. I think the the registry you want to allocated code point
from the "TLV Codepoints registry"

Since the document, at least I read it, well meet the criteria for 
becoming a working document (minor update to the IANA section), I think
that the easy way out is to start the working group adoption poll.

/Loa

On 02/06/2020 12:52, Tony Li wrote:
> 
> Hi Amanda,
> 
>> However, the IANA Considerations section is missing some information. 
>> How would we fill in the IIH, LSP, SNP, and Purge fields for the TLV 
>> Codepoint registrations?
> 
> 
> We’ve addressed this in 
> https://tools.ietf.org/html/draft-li-lsr-isis-area-proxy-06..
> 
> Thanks,
> Sarah & Tony
> 
> 
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
> 

-- 

My mail server from time to time has come under DOS attacks,
we are working to fix it but it may take some time. If you
get denial of service sending to me plz try to use
loa.pi.nu@gmail

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Christian Hopps <[email-masked]>
Date: Tue, 2 Jun 2020 07:12:01 -0400

Hi folks,

It seems that we followed the wrong procedure for this. The registries in question are Expert Review only and so RFC7120 does not apply. I wanted to send a quick email indicating that our input as chairs is not technically required as part of the process so our email was a NO-OP on that front.

The intent in sending the email to the list was to make the WG aware that the request was being made, so that at least worked.

Thanks,
Chris an Acee.

> On Jun 1, 2020, at 3:46 PM, Acee Lindem (acee) <acee=[email-masked]> wrote:
> 
> Hi IANA, Martin, 
>

---

From: Tony Przygienda <[email-masked]>
Date: Tue, 2 Jun 2020 07:42:25 -0700

Loa, fair points though I would say adoption is kind of a different kettle
of fish than early allocation.

RFC7120 does not seem to apply given ISIS registries are under expert
review (largely due to historical reasons AFAIS).

I watch that with lots of interest since due to customer
discussions/(deployment) planning we request with experts early allocation
for https://datatracker.ietf.org/doc/draft-przygienda-lsr-flood-reflection/
We have however the benefit of not needing any new registries.

thanks

-- tony

---

From: [email-masked]
Date: Tue, 2 Jun 2020 08:24:15 -0700

Hi Loa,

> from the "TLV Codepoints registry”

I apologize for the confusion, you are certainly correct.

The confusion arises because the page is named “IS-IS TLV Codepoints” and the registry is the “TLV Codepoints Registry” so to be precise, we should request an allocation from the “IS-IS TLV Codepoints TLV Codepoints Registry”.  That does seem somewhat awkward and redundant redundant.

To reduce confusion in the future, perhaps the entire page should be renamed to “IS-IS Codepoints”?

Regards,
Tony

---

From: Loa Andersson <[email-masked]>
Date: Wed, 3 Jun 2020 01:59:27 +0800

Tony,

inline plz.

On 02/06/2020 22:42, Tony Przygienda wrote:
> Loa, fair points though I would say adoption is kind of a different 
> kettle of fish than early allocation.

yeah - but the point I made, modulo some small updates in the IANA 
considerations I think the document is ready for wg adoption. And
really the updates in the IANA considerations is strictly not
necessary for wg adoption, but I prefer to have the IANA registries
in scope clearly pointed out.
> review (largely due to historical reasons AFAIS).

Yeah - you are right. I missed that, was to focused on the requirements
in 7120.
> discussions/(deployment) planning we request with experts early 
> allocation for 
> https://datatracker.ietf.org/doc/draft-przygienda-lsr-flood-reflection/ 

Yeah - you are requesting code points from registries where the 
registration procedures are "Expert Review""

> We have however the benefit of not needing any new registries.

Yes, that is a blessing, but for a new registry you can actually capture
in the draft and populate it with code point values, the only thing is
that once you put a value in there it should not be changed. Especially
if you know of early implementations.

For your draft the registries should be called:

Sub-TLVs for TLV 242 (IS-IS Router CAPABILITY TLV); and
Sub-TLVs for TLVs 22, 23, 25, 141, 222, and 223 (Extended IS 
reachability, IS Neighbor Attribute, L2 Bundle Member Attributes, 
inter-AS reachability information, MT-ISN, and MT IS Neighbor Attribute 
TLVs)

(Don't blame me, I didn't name the registries :) ).

and both registries are found in the IS-IS TLV Codepoints namespace.

/Loa

> 
> thanks
> 
> -- tony
> 
> On Tue, Jun 2, 2020 at 1:00 AM Loa Andersson <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Folks,
> 
>      > [email-masked] <mailto:[email-masked]>
>     Loa Andersson                        email: [email-masked] <mailto:[email-masked]>
>     Senior MPLS Expert
>     [email-masked] <mailto:[email-masked]>

--

---

From: Loa Andersson <[email-masked]>
Date: Wed, 3 Jun 2020 02:00:56 +0800

Tony,

inline plz.

Yeah - you are requesting code points from registries where the 
registration procedures are "Expert Review". But those are not early
allocation, they are permanent.

/Loa

--

---

From: Tony Przygienda <[email-masked]>
Date: Tue, 2 Jun 2020 11:14:08 -0700

> (Don't blame me, I didn't name the registries :) ).

draft
https://datatracker.ietf.org/doc/draft-przygienda-lsr-flood-reflection/
IANA section is calling the registries already what they are called
(without what the sub-TLVs are since the titles would explode). There is no
possiblity of mistaking them IMO

-- tony

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 02 Jun 2020 19:17:01 +0000

Hi Loa, all,

> allocation, they are permanent.

There is a kind of hybrid early allocation/Expert Review procedure for the IS-IS Exert Review registries, which is what I understood to be in use here. If the experts approve, we mark the registrations as temporary and ask them to re-approve a year later. It's described in Section 4 of RFC 7370:

https://tools.ietf.org/html/rfc7370#section-4

thanks,
Amanda

On Tue Jun 02 18:01:21 2020, [email-masked] wrote:
> >      >> How would we fill in the IIH, LSP, SNP, and Purge fields for
> >      >> the
> > TLV
> >      >> Codepoint registrations?
> >      >
> >      >
> >      > We’ve addressed this in
> > <mailto:[email-masked]>

---

From: Loa Andersson <[email-masked]>
Date: Wed, 3 Jun 2020 15:20:40 +0800

Tony,

I guess that this shows that we should take care naming our registries.

In line please-

On 02/06/2020 23:24, [email-masked] wrote:
> The confusion arises because the page is named “IS-IS TLV Codepoints” 
> and the registry is the “TLV Codepoints Registry” so to be precise, we 
> should request an allocation from the “IS-IS TLV Codepoints TLV 
> Codepoints Registry”.  That does seem somewhat awkward and redundant 
> redundant.
> 

In the party of the world there I'm active there is a tendency to call
"the page" the "name space", that stops us from repeating "registry" to
often, so we have name space, registry and sub-registry. This is as I
understand it a terminology IANA understands, even if there is no formal
acceptance of it.

Renaming the name space would require us to update a number of IS-IS
documents. I would advice against that, but if the wg decides to do it
try to help to get correct.

For the time being I'd say that we want to allocate the code points
from the "TLV Codepoints" reistry in the IS-IS TLV Codepoints"
namespace.

Doing that way it is also easier to find the correct registry.

--

---

From: tom petch <[email-masked]>
Date: Wed, 3 Jun 2020 08:43:38 +0000

From: Lsr <[email-masked]> on behalf of Loa Andersson <[email-masked]>
Sent: 03 June 2020 08:20

Tony,

In line please-

<tp>
Loa,

I try to persuade authors to follow RFC8126 (which I think IANA understands).  It recognises the historical confusion with naming and recommends that, going forward, a two tier naming of Group and Registry be used.  I see the TLV Codepoints Registry as part of the I S - I S (spaces added to fool the spam detectors) Group.  That seems to me to be clear and unambiguous and not prolix.  I think that its inclusion in the RFC makes it formally accepted by the IETF:-)

Tom Petch

--

---

From: Loa Andersson <[email-masked]>
Date: Thu, 4 Jun 2020 11:30:19 +0800

Amanda,

Thanks, for the clarification. I have not had to manage code point 
allocation for Expert Review registries and had not looked at 7370.

Small question, if you do the hybrid early allocation and then 6 months 
later the document is  is approved as an RFC is that the time when you
mark the allocations permanent?

/Loa

--

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 4 Jun 2020 14:04:15 +0000

Folks -

Replying to the WG list on this as we believe this is of interest to the entire WG.

The designated experts (Chris, Hannes, and myself) have discussed the request for early codepoint allocations for draft-li-lsr-isis-area-proxy-04.

Ordinarily such requests are routine. Our task is only to perform due diligence to insure that the codepoints are assigned appropriately.

In this case however, we are - for the first time - being asked to provide early allocations for a document which has yet to be adopted by the WG.
Guidance for us is provided in RFC7370<https://tools.ietf.org/html/rfc7370>. Specifically

Section 4<https://tools.ietf.org/html/rfc7370#section-4> which states

"2.  The Designated Experts SHOULD only consider requests that arise
       from I-Ds that have already been accepted as Working Group
       documents or that are planned for progression as AD Sponsored
       documents in the absence of a suitably chartered Working Group."

This recommendation is sound since early allocations for documents which do not achieve RFC status ultimately expire and are deallocated under the
procedures defined in rfc7120<https://tools.ietf.org/html/rfc7120> . While WG adoption is not a guarantee of successful progression to RFC, it does commit the WG to working on such documents and greatly enhances the chances of
an RFC being published.

While the language above allows for exceptions, we are reluctant to make an exception in this case.

We note that the problem space being addressed by draft-li-lsr-isis-area-proxy has stimulated multiple solutions/drafts. The likelihood that some of the proposed solutions would be abandoned and/or not achieve market acceptance seems high.
Early allocation of code points without a WG commitment then seems to have a higher than normal probability that the codepoint allocations would ultimately be deallocated.

We believe that the WG needs to invest time in deciding which solutions should go forward. We therefore encourage the WG to make expeditious decisions regarding WG adoption of one (or perhaps multiple) of the drafts addressing this problem space.

We will be happy to quickly review early allocation requests for any documents as soon as they achieve WG status.

   Les and Chris and Hannes

> -----Original Message-----

> From: Lsr <[email-masked]> On Behalf Of Amanda Baber via RT

> Sent: Monday, June 01, 2020 6:13 PM

> To: Acee Lindem (acee) <[email-masked]>

> Cc: [email-masked]; [email-masked]

> Subject: [Lsr] [IANA #1171772] Early Allocations request for "Area Proxy for

> IS-IS" - draft-li-lsr-isis-area-proxy-04

> We've sent this request to the IS-IS experts for review in accordance with

> the RFC 7370 early allocation procedure for IS-IS Expert Review registries.

> We understand that if the experts approve, we would make three

> early/temporary registrations in the TLV Codepoints registry and add one

> entry to the Sub-TLVs for TLV 242 (IS-IS Router CAPABILITY TLV) registry. The

> creation of the sub-registry will have to wait for the document to be

> approved for publication.

> However, the IANA Considerations section is missing some information. How

> would we fill in the IIH, LSP, SNP, and Purge fields for the TLV Codepoint

> registrations?

> On Mon Jun 01 19:46:54 2020, [email-masked]<mailto:[email-masked]> wrote:

> [email-masked]<mailto:[email-masked]>